/grids/{gridId}experimentalWymagana sesjaResponds 403 when the caller is not a member of the grid's workshop and 404 when no such grid exists.
Parametry ścieżki
| Nazwa | Typ | Wymagane | Ograniczenia | Opis |
|---|---|---|---|---|
| gridId | string | Tak | - | Grid id |
Odpowiedzi
200SuccessPole Typ Wymagane Ograniczenia Opis id string Tak - - workshopId string Tak - - name string Tak - - iconSize GridIconSize Tak - A grid's icon size, one of these three values. createdAt string Tak format: "date-time"- updatedAt string Tak format: "date-time"- buttons array of GridButton Tak - - Przykład{ "id": "grid-1", "workshopId": "workshop-1", "name": "Standard pricing", "iconSize": "medium", "createdAt": "2026-08-01T09:00:00.000Z", "updatedAt": "2026-08-10T14:30:00.000Z", "buttons": [ { "id": "button-1", "emoji": "🛠️", "label": "Labor", "unit": "hour", "unitPrice": 80 } ] }401Not authenticatedBrak treści.
403ForbiddenBrak treści.
404Not foundBrak treści.
Przykładowe żądanie
curl -X GET 'https://mercastra.cloud/api/grids/<gridId>' \ -H 'Cookie: session=<session cookie>'